aboutsummaryrefslogtreecommitdiffstats
path: root/website/host-scripts/upload-website.sh
diff options
context:
space:
mode:
authorMatthias Andree <matthias.andree@gmx.de>2008-06-17 12:43:54 +0000
committerMatthias Andree <matthias.andree@gmx.de>2008-06-17 12:43:54 +0000
commit43dbe528ea249ac2d2fb7534be99282b549d4eeb (patch)
treee6ac1933e3a25f2dc483a463f456b34fc3fa8e95 /website/host-scripts/upload-website.sh
parentd344694f96268b7cda5bcdcb927665b2e7e19af3 (diff)
downloadfetchmail-43dbe528ea249ac2d2fb7534be99282b549d4eeb.tar.gz
fetchmail-43dbe528ea249ac2d2fb7534be99282b549d4eeb.tar.bz2
fetchmail-43dbe528ea249ac2d2fb7534be99282b549d4eeb.zip
Track website in separate SVN directory (mostly symlinks for now).
svn path=/branches/BRANCH_6-3/; revision=5197
Diffstat (limited to 'website/host-scripts/upload-website.sh')
-rwxr-xr-xwebsite/host-scripts/upload-website.sh31
1 files changed, 31 insertions, 0 deletions
diff --git a/website/host-scripts/upload-website.sh b/website/host-scripts/upload-website.sh
new file mode 100755
index 00000000..de1c4cbf
--- /dev/null
+++ b/website/host-scripts/upload-website.sh
@@ -0,0 +1,31 @@
+#! /bin/sh
+
+# Script to upload fetchmail website from SVN repository
+# (C) 2008 by Matthias Andree. GNU GPL v3.
+
+: ${BERLIOS_LOGIN=m-a}
+
+# abort on error
+set -e
+
+# cd to parent of script
+cd $(dirname "$0")
+cd ..
+
+echo "==> Running sanity checks"
+# make sure we have no dangling symlinks
+if file * | egrep broken\|dangling ; then
+ echo "broken symlinks -> abort" >&2
+ exit 1
+fi
+
+echo "==> Uploading website (rsync)"
+# upload
+rsync \
+ --chmod=ug=rwX,o=rX,Dg=s --copy-links --times --checksum --verbose \
+ --exclude host-scripts \
+ --exclude .svn --exclude '*~' --exclude '#*#' \
+ * \
+ "$BERLIOS_LOGIN@shell.berlios.de:/home/groups/fetchmail/htdocs/"
+
+echo "==> Success."